package eu.jonahbauer.wizard.common.messages.client;

import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.NonNull;
import lombok.RequiredArgsConstructor;

import java.util.UUID;

@Getter
@RequiredArgsConstructor
@EqualsAndHashCode(callSuper = true)
public final class JoinSessionMessage extends ClientMessage {
    /**
     * UUID of the session
     */
    private final @NonNull UUID session;
    /**
     * Name of the joining player
     */
    private final @NonNull String playerName;
}
